Subject: Re: [GSoC update] git-remote-svn: Week 11

From: Ramkumar Ramachandra <[email-masked]>
Date: Mon, 12 Jul 2010 20:12:33 +0200

Hi,

Will Palmer writes:
> This is all moot, because the whole point is that svndumpr compiles
> against libsvn, so you don't need the whole svn source-tree. All you
> need to get svndumpr working are some header files and a working libsvn.
> Everyone who currently uses git-svn already has a working libsvn, since
> perl's svn bindings wrap around libsvn anyway.

Yes, I meant that people will need the complete Subversion tree if I
DON'T get svnrdump merged somewhere in git.git (I'll attempt to get
the version that compiles against libsvn 1.6 merged). The instructions
to checkout the right branches and place it in the git tree can be
complicated: git-remote-svn relies on a chain of tools including
David's exporter and svnrdump to work.

-- Ram